=== debian/changelog ===
ros-kinetic-delphi-esr-msgs (3.0.1-1xenial) xenial; urgency=high

  * Adding ros_environment as required package to all packages.
  * ROS1/2 Hybrid: delphi_esr_msgs (#37 <https://github.com/astuff/astuff_sensor_msgs/issues/37>)
    * Adding hybrid CI.
    * Hybridizing delphi_esr_msgs.
    * Updating package.xml files for ROS2 rosdep.
    * Adding message migration rules.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 23 Jan 2020 06:00:00 -0000

ros-kinetic-delphi-esr-msgs (2.3.1-1xenial) xenial; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-kinetic-delphi-esr-msgs (2.3.0-1xenial) xenial; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 05:00:00 -0000

ros-kinetic-delphi-esr-msgs (2.2.2-1xenial) xenial; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-kinetic-delphi-esr-msgs (2.2.1-1xenial) xenial; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 05:00:00 -0000

ros-kinetic-delphi-esr-msgs (2.1.0-1xenial) xenial; urgency=high

  * Updating package.xml to format 2.
  * Standardizing package.xml files.
  * Removing properties that aren't part of raw message in EsrEthTx.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 14 May 2018 05:00:00 -0000
